%define module  DateTime-Format-Strptime
%define name    perl-%{module}
%define version 1.0702
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Parse and format strp and strf time patterns
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/DateTime/%{module}-%{version}.tgz
BuildRequires:  perl(DateTime)
Buildarch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This module implements most of strptime(3), the POSIX function that is the
reverse of strftime(3), for DateTime. While strftime takes a DateTime and a
pattern and returns a string, strptime takes a string and a pattern and returns
the DateTime object associated.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
%__make test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/DateTime
%{_mandir}/*/*



%changelog
* Sun Nov 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0702-1mdv2008.1
+ Revision: 105822
- import perl-DateTime-Format-Strptime


* Sun Nov 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0702-1mdv2008.1
- first mdv release 
